<?php
include '../../../include/cp_header.php';
include_once XOOPS_ROOT_PATH.'/class/xoopsform/grouppermform.php';

$module_id              = $xoopsModule->getVar('mid');
$title_of_form    		= 'myhtmlに対してグループごとの他人のファイルの閲覧を設定';
$perm_name              = 'myhtml_all_one';
//$perm_desc         = 'プライベートフォーラムは表示されていません';

//myhtmlカテゴリーのIDと名前を取得
$sql = 'SELECT cid,title  FROM '.$xoopsDB->prefix('myhtml_cat').'';
if( !$ret = $xoopsDB->query($sql) ){
      echo "error";
}

$form = new XoopsGroupPermForm($title_of_form, $module_id, $perm_name,$perm_desc);
while( list($cid, $title) = $xoopsDB->fetchRow($ret) ){
   $form->addItem($cid, $title);
}

xoops_cp_header();
echo $form->render();
xoops_cp_footer();
?>